Subject: bug#18696: Emacs freezes for a while visitin Conf (.ini)) buffers

From: Stefan Monnier <[email-masked]>
Date: Tue, 14 Oct 2014 14:43:49 -0400

> Indeed.. it is this in my initialization file:
>   (which-function-mode t)
> and, considering the structure of that setup.ini file, this 'freezing' could
> be expected..

Actually IIUC which-function-mode shouldn't cause such a slow down.
If it does, it's probably because the major mode doesn't have special
support for which-function-mode, so it falls back on using imenu's
support, i.e. it needs to scan the whole buffer.

This said, scanning the whole buffer shouldn't be that sow, unless you
really have very many sections.  So it might also simply be a bug in the
way the major mode supports imenu (e.g. the regexp used is inefficient).

        Stefan